%global momorel 2

%global pyver 2.5
%global pylib_dir %{_libdir}/python%{pyver}

Summary: scientific data visualizer
Name: mayavi
Version: 1.5
Release: %{momorel}m%{?dist}
License: BSD
Group: Applications/Engineering
URL:   http://mayavi.sourceforge.net/
Source: http://dl.sourceforge.net/sourceforge/mayavi/MayaVi-%{version}.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: python-devel, vtk-devel
BuildRequires: desktop-file-utils
Requires: python, vtk-python, vtk-tcl

%description 
 MayaVi is a free, easy to use scientific data visualizer. It is written in Python and uses the amazing Visualization Toolkit (VTK) for the graphics. It provides a GUI written using  Tkinter. MayaVi is free and distributed under the conditions of the  BSD license. It is also cross platform and should run on any platform where both Python and VTK are available (which is almost any *nix, Mac OSX or Windows).

%prep
%setup -q -n MayaVi-%{version}

%build
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --prefix=%{_prefix} --root=%{buildroot} --compile

## desktop
%__mkdir_p %{buildroot}%{_datadir}/applications
%__cat > mayavi.desktop <<EOF
[Desktop Entry]
Name=Mayavi
GenericName=Mayavi VTK file viewer 
Comment=VTK file viewer
Exec=mayavi
Terminal=false
Type=Application
Icon=
EOF
# install desktop file
desktop-file-install --vendor= \
  --dir %{buildroot}%{_datadir}/applications \
  --remove-category Application \
  --add-category Engineering \
  --add-category Science \
  --add-category Visualization \
    --add-category Tk \
    ./mayavi.desktop


%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc doc examples
%{_bindir}/*
%{pylib_dir}/site-packages/*
%{_datadir}/applications/*.desktop

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5-2m)
- rebuild against gcc43

* Tue Mar 04 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.5-1m)
- import to Momonga

* Wed Apr 26 2006 Masayuki SANO <sbfield_snmsyk at yahoo.co.jp>
- (1.5-0.0.3m)
- add desktop file

* Sat Apr 22 2006 Masayuki SANO <sbfield_snmsyk at yahoo.co.jp>
- (1.5-0.0.2m)
- rebuild against python2.4

* Wed Sep 14 2005 Masayuki SANO <sbfield_snmsyk at yahoo.co.jp>
- (1.5-0.0.1m)
- version 1.5

* Mon Apr 11 2005 Masayuki SANO <sbfield_snmsyk at yahoo.co.jp>
- (1.4-0.0.1m)
- version 1.4 has been released

* Tue Sep 22 2004 Masayuki SANO <sbfield_snmsyk at yahoo.co.jp>
- (1.3-0.0.2m)
- fix path

* Sat Sep 19 2004 Masayuki SANO <sbfield_snmsyk at yahoo.co.jp>
- (1.3-0.0.1m)
- build for Momonga
